## Macro SOAP_SERVER_HAS_PREFORK

SOAP_SERVER_HAS_PREFORK

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/config.hpp>

    SOAP_SERVER_HAS_PREFORK

## Description

The http server implementation in libzeep can use a preforked mode. That means the main process listens to a network port and passes the socket to a client process for doing the actual handling. The advantages for a setup like this is that if the client fails, the server can detect this and restart the client thereby guaranteeing a better uptime.